Get Subscription Event

GEThttps://organization.dattaremit.com/api/subscription_events/{subscription_event_guid}

Requires a organization-scoped key.

Retrieves a Subscription Event.

Required scope: subscription_events:read

Path Params

subscription_event_guidstringrequired

Identifier for the Subscription Event.

Responses

200

Subscription Event found

401

Unauthorized - Authentication failed

403

Invalid scope

404

Subscription Event not found

Request

curl https://api.dattaremit.com/api/subscription_events/{subscription_event_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

Subscription Event found

{
  "guid": "string",
  "bank_guid": "string",
  "event_type": "string",
  "object_guid": "string",
  "environment": "string",
  "organization_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z"
}